A minimal logging API for dart

[![pub package](https://img.shields.io/pub/v/logr.svg)](https://pub.dev/packages/logr)
[![ci](https://github.com/v42one/logr/actions/workflows/ci.yaml/badge.svg)](https://github.com/v42one/logr/actions/workflows/ci.yaml)

Just a [logr](https://github.com/go-logr/logr) folk for dart.


## Example

```dart
import 'package:contextdart/contextdart.dart';
import 'package:logr/logr.dart';
import 'package:logr/stdlogr.dart';

main() {
  var log = Logger(StdLogSink("logr"));

  log.info("info");
  log.v(0).info("v(0).info");
  log.v(1).info("v(1).info");
  log.error(Exception("error"), "error");
  log.withName("testing").info("with prefix");

  var ctx = Context.withValue(Context.background(), log);

  _someAction(ctx);
}

_someAction(Context ctx) {
  var log = Logger.fromContext(ctx)?.withName("someAction");
  log?.info("info");

  try {
    _throw();
  } catch (e, stackTrace) {
    log?.error(e as Exception, "do failed", stackTrace: stackTrace);
  }
}

_throw() {
  throw Exception("ops!");
}
```
